//:: k_plc_tres_disp
/*

Places disposable (credits, grenades, medpacs) treasure in a container.

*/
//:: Created By: Kevin Saunders
//:: Copyright (c) 2004 Obsidian Entertainment
//:: Modified By Darth333 (05-20-2005) - Added USM loot
//:: Modified By Lit Ridl - Added cocktail loot

#include "molo_loot"
#include "usm_loot"
#include "k_inc_debug"
#include "k_inc_treas_k2"


void main()
{
    object oContainer = OBJECT_SELF;

    if(!GetLocalBoolean(oContainer,57))
    {
        int numberOfItems = Random(4)+3;
        //::D333 - adds USM loot
        USM_SpawnTreasure();
		SpawnCocktail();

        // leave default treasure

        PlaceTreasureDisposable(oContainer, numberOfItems);
        
        // CTJ-OEI 09-29-04
        // Optimization - We don't want to keep executing this script
        // over and over once it is done.  Script execution, and the
        // I/O associated with it, is very expensive.
        RemoveHeartbeat(OBJECT_SELF);
    }
}
